> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developer.gitiho.com/gitiho-business-api/admin/get-employer-list/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.gitiho.com/_mcp/server. # Get employer list GET https://example.gitiho.com/api/employer Danh sách nhân sự trong business Reference: https://developer.gitiho.com/gitiho-business-api/admin/get-employer-list ## Request ### Query parameters - `page` (integer, optional) ## Response ### 200 OK - `data` (GetEmployerListAdminResponseData, required) - `status` (string, required) ## Types ### GetEmployerListAdminResponseData - `items` (list of GetEmployerListAdminResponseDataItemsItem, required) - `total` (integer, required) - `last_page` (integer, required) - `current_page` (integer, required) ### GetEmployerListAdminResponseDataItemsItem - `employer` (GetEmployerListAdminResponseDataItemsItemEmployer, required) ### GetEmployerListAdminResponseDataItemsItemEmployer - `id` (integer, required) - `code` (string, required) - `name` (string, required) - `email` (string, required) - `status` (integer, required) - `created_at` (string, required) - `exam_count` (integer, required) - `updated_at` (string, required) - `departments` (list of any, required) - `course_count` (integer, required) - `login_status` (integer, required) - `position` (any, optional, nullable) - `username` (any, optional, nullable) - `department` (any, optional, nullable) ## Examples **Response** ```json { "data": { "items": [ { "employer": { "id": 2051, "code": "", "name": "12123", "email": "minoho2617@aleitar.com", "status": 1, "created_at": "2025-05-30 13:50:29", "exam_count": 0, "updated_at": "2025-05-30 13:50:29", "departments": [], "course_count": 0, "login_status": 0 } }, { "employer": { "id": 2052, "code": "", "name": "hihi", "email": "sofeme9502@ruhtan.com", "status": 1, "created_at": "2025-05-30 13:50:29", "exam_count": 0, "updated_at": "2025-06-02 09:08:19", "departments": [], "course_count": 0, "login_status": 1 } }, { "employer": { "id": 2053, "code": "", "name": "Thoại Liveschoo;", "email": "sonld@gitiho.com", "status": 1, "created_at": "2025-05-30 13:50:29", "exam_count": 0, "updated_at": "2025-05-30 13:50:29", "departments": [], "course_count": 0, "login_status": 0 } }, { "employer": { "id": 2054, "code": "MNS0213", "name": "Nhân sự 06", "email": "sonld@gmail.com", "status": 1, "created_at": "2025-05-30 13:50:30", "exam_count": 0, "updated_at": "2025-12-31 14:28:08", "departments": [ "CRD-Phần mềm" ], "course_count": 0, "login_status": 0, "position": { "id": 40, "name": "Senior Dev" }, "username": "username0111", "department": { "id": 1852, "name": "CRD-Phần mềm" } } }, { "employer": { "id": 2056, "code": "", "name": "Nhân sự 7", "email": "tacop63823@bulatox.com", "status": 1, "created_at": "2025-05-30 13:50:30", "exam_count": 0, "updated_at": "2025-05-30 13:50:30", "departments": [], "course_count": 0, "login_status": 0 } }, { "employer": { "id": 2057, "code": "", "name": "New invite", "email": "mopat12565@cironex.com", "status": 1, "created_at": "2025-05-30 13:50:31", "exam_count": 0, "updated_at": "2025-10-02 17:42:54", "departments": [], "course_count": 0, "login_status": 0 } }, { "employer": { "id": 2058, "code": "", "name": "Nhân sự dev 1", "email": "gadog39537@edectus.com", "status": 1, "created_at": "2025-05-30 13:50:31", "exam_count": 0, "updated_at": "2025-05-30 13:50:31", "departments": [], "course_count": 0, "login_status": 0 } }, { "employer": { "id": 2059, "code": "", "name": "dev111", "email": "nguyenvanb@example.com", "status": 1, "created_at": "2025-05-30 13:50:31", "exam_count": 0, "updated_at": "2025-05-30 13:50:31", "departments": [], "course_count": 0, "login_status": 1 } }, { "employer": { "id": 2060, "code": "", "name": "Nam Dev", "email": "mamad35889@owube.com", "status": 1, "created_at": "2025-05-30 13:50:32", "exam_count": 0, "updated_at": "2025-05-30 13:50:32", "departments": [], "course_count": 0, "login_status": 0 } }, { "employer": { "id": 2061, "code": "", "name": "mopat12565@cironex.com", "email": "nhansu2xx@gmax.com", "status": 1, "created_at": "2025-05-30 13:50:32", "exam_count": 0, "updated_at": "2025-05-30 13:50:32", "departments": [], "course_count": 0, "login_status": 0 } } ], "total": 216, "last_page": 22, "current_page": 1 }, "status": "success" } ``` **SDK Code** ```python import requests url = "https://example.gitiho.com/api/employer" response = requests.get(url) print(response.json()) ``` ```javascript const url = 'https://example.gitiho.com/api/employer'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://example.gitiho.com/api/employer" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.gitiho.com/api/employer") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://example.gitiho.com/api/employer") .asString(); ``` ```php request('GET', 'https://example.gitiho.com/api/employer'); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.gitiho.com/api/employer"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://example.gitiho.com/api/employer")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```